#pragma once

#include "CoreMinimal.h"
#include "ECollisionZoneShape.h"
#include "UObject/NoExportTypes.h"
#include "Engine/CollisionProfile.h"
#include "CollisionZoneParams.generated.h"

USTRUCT(BlueprintType)
struct FCollisionZoneParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ECollisionZoneShape Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector BoxExtent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float LineThickness;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float SphereRadius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CapsuleHalfHeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CapsuleRadius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FCollisionProfileName CollisionProfile;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FColor ShapeColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool AllowModifyingCollisionProfile;

public:
	DEADBYDAYLIGHT_API FCollisionZoneParams();
};

FORCEINLINE uint32 GetTypeHash(const FCollisionZoneParams) { return 0; }
